Bug 822944 - cloning of the plan generates disfunctional result
cloning of the plan generates disfunctional result
Status: VERIFIED
Product: TCMS
Classification: Other
Component: Application (Show other bugs)
3.0
Unspecified Unspecified
unspecified Severity high
: ---
: 3.8.0
Assigned To: Yang Ren
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-18 11:17 EDT by Matěj Cepl
Modified: 2016-05-26 09:20 EDT (History)
6 users (show)

See Also:
Fixed In Version: 3.8.0-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matěj Cepl 2012-05-18 11:17:33 EDT
Description of problem:
When testing for RHEL-7 components, we would like to clone many test plans from RHEL-6. However, when I tried to clone (with explicit copying test cases, not linking) https://tcms.engineering.redhat.com/plan/2152/ into RHEL-7 I got https://tcms.engineering.redhat.com/plan/6224/ which is quite defficient in many aspects:

 * although I have asked for RHEL7 as the product, it set so only for the plan as whole, but all included test cases are marked as for RHEL-6
 * what's even worse, all test cases are marked as CONFIRMED. When essentially creating new test cases, they should be PROPOSED.

Version-Release number of selected component (if applicable):
Nitrate 3.7.0 as installed today on https://tcms.engineering.redhat.com

How reproducible:
100%

Steps to Reproduce:
1.clone RHEL-6 plan to RHEL-7
2.included test cases are for RHEL-6
3.
  
Actual results:
* all test cases are CONFIRMED although nobody ever seen them
* all test cases are for RHEL-6

Expected results:
* new test cases should be PROPOSED
* all included cases should follow settings for whole test plan

Additional info:
Comment 1 Xiangyang Chu 2012-07-13 05:26:35 EDT
Thank you for pointing that out and we'll fix it in TCMS v3.8.
Comment 2 xubai 2012-07-25 05:42:01 EDT
Verify 3.8.0-1  --> FAIL

Description problem:
The bug is still existed.

Verify steps:
1.clone RHEL-6 plan to RHEL-7
2.included test cases are for RHEL-6

* all test cases are CONFIRMED although nobody ever seen them
* all test cases are for RHEL-6

Expected results:
* new test cases should be PROPOSED
* all included cases should follow settings for whole test plan
Comment 3 xubai 2012-07-26 01:26:39 EDT
Verify 3.8.0-1  --> PASS


Verify steps:
1.clone RHEL-6 plan to RHEL-7  (with explicit copying test cases, not linking)
2.included test cases are for RHEL-6

Actual results:
1. new test cases are PROPOSED
2. all included cases follow settings for whole test plan
Comment 4 Xiangyang Chu 2012-07-26 01:42:03 EDT
To make it works, cloning plan between different products, 'Create a copy' need to be checked in 'Copy Settings' section.
Thanks.

Note You need to log in before you can comment on or make changes to this bug.